tigase.server.sreceiver

## Class TesterTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.TesterTask

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class TesterTask
      extends AbstractReceiverTask

  Describe class TesterTask here. Created: Mon Sep 17 18:07:12 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TesterTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHelp()` Method description
    `String` | `getType()` Method description
    `protected void` | `processMessage(Packet packet, Queue<Packet> results)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addOutPacket, addToRoster, addToRoster, destroy, getDefaultParams, getDescription, getInstance, getJID, getParams, getRoster, getRosterItem, getStatistics, getStats, init, isAdmin, isAllowedToPost, isAllowedToSubscribe, processPacket, removeFromRoster, removeSubscribers, setJID, setParams, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOnline, setRosterItemOwner, setRosterItemSubscribed, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TesterTask

          public TesterTask()

  - ### Method Detail

    - #### getHelp

          public String getHelp()

      Method description
      Returns:
        a `String` value of task class help information.

    - #### getType

          public String getType()

      Method description
      Returns:
        a `String` value of the task name.

    - #### processMessage

          protected void processMessage(Packet packet,
                            Queue<Packet> results)

      Method description
      Overrides:
        `processMessage` in class `AbstractReceiverTask`
      Parameters:
        `packet` -
        `results` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.